[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'ComCtrls' (#lcl)

# TCustomTreeView.WMLButtonDown

Handles the LM_LBUTTONDOWN message for the control.

## Declaration

Source position: comctrls.pp line 3640

`protected procedure TCustomTreeView.WMLButtonDown(`
`var AMessage: TLMLButtonDown`
`); message;`

## Arguments

`AMessage` |  | Window message examined in the method.

## Description

WMLButtonDown ensures that the States property is updated to include tvsDragged for the Left mouse button message. It calls the inherited method prior to exit to update MouseCapture and Click events for the control.

## See also

TControl.WMLButtonDown |  | Handles a LM_LBUTTONDOWN (left mouse button down) message for the control.